<?php

namespace App\Http\ApiV1\Modules\Classifiers\Requests;

use App\Http\ApiV1\Support\Requests\BaseFormRequest;

class CreateOrReplaceBrandRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'name' => ['required', 'string'],
            'is_active' => ['required', 'boolean'],
            'code' => ['nullable', 'string'],
            'description' => ['nullable', 'string'],
            'logo_url' => ['nullable', 'url'],
        ];
    }
}
